twitter4j

## Interface OEmbed

All Superinterfaces:
  Serializable, TwitterResponse

All Known Implementing Classes:
  OEmbedJSONImpl

    public interface OEmbed
    extends TwitterResponse, Serializable

Since:
  Twitter4J 3.0.2
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  oEmded

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAuthorName()` The name of the author/owner of the resource.
`String` `getAuthorURL()` A URL for the author/owner of the resource.
`long` `getCacheAge()` The suggested cache lifetime for this resource, in seconds.
`String` `getHtml()` The HTML required to display the resource.
`String` `getURL()` The url of the resource provider. The source URL of the image.
`String` `getVersion()` The oEmbed version number.
`int` `getWidth()` The width in pixels of the image specified in the url parameter.

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getHtml

    String getHtml()

The HTML required to display the resource. The HTML should have no padding or margins. Consumers may wish to load the HTML in an off-domain iframe to avoid XSS vulnerabilities. The markup should be valid XHTML 1.0 Basic.

Returns:
  The HTML required to display the resource.

#### getAuthorName

    String getAuthorName()

The name of the author/owner of the resource.

Returns:
  The name of the author/owner of the resource.

#### getURL

    String getURL()

The url of the resource provider.
The source URL of the image. Consumers should be able to insert this URL into an <img> element. Only HTTP and HTTPS URLs are valid.

Returns:
  The url of the resource provider.

#### getVersion

    String getVersion()

The oEmbed version number.

Returns:
  The oEmbed version number.

#### getCacheAge

    long getCacheAge()

The suggested cache lifetime for this resource, in seconds. Consumers may choose to use this value or not.

Returns:
  The suggested cache lifetime for this resource, in seconds. Consumers may choose to use this value or not.

#### getAuthorURL

    String getAuthorURL()

A URL for the author/owner of the resource.

Returns:
  A URL for the author/owner of the resource.

#### getWidth

    int getWidth()

The width in pixels of the image specified in the url parameter.

Returns:
  The width in pixels of the image specified in the url parameter.